//--------------------------------------------------------------
// File     : stm32_ub_http_server.h
//--------------------------------------------------------------

//--------------------------------------------------------------
#ifndef __STM32F7_UB_HTTP_SERVER_H
#define __STM32F7_UB_HTTP_SERVER_H

//--------------------------------------------------------------
// Includes
//--------------------------------------------------------------
#include "stm32_ub_system.h"
#include "lwip.h"
#include "lwip/udp.h"
#include "httpd.h"
#include "string.h"


//--------------------------------------------------------------
// DHCP-Mode
// LWIP_DHCP setting in : "stm_lolevel/lwipopts.h"
//--------------------------------------------------------------




//--------------------------------------------------------------
// MAC-Adresse (00:80:E1:00:00:00)
//--------------------------------------------------------------
#define myMAC_ADDR0   0x00
#define myMAC_ADDR1   0x80
#define myMAC_ADDR2   0xE1
#define myMAC_ADDR3   0x00
#define myMAC_ADDR4   0x00
#define myMAC_ADDR5   0x00


//--------------------------------------------------------------
// statische IP-Adresse (169.254.136.10)
// (falls DHCP enable wird diese ignoriert)
//--------------------------------------------------------------
#define IP_ADDR0   169
#define IP_ADDR1   254
#define IP_ADDR2   136
#define IP_ADDR3   10


//--------------------------------------------------------------
// Netzmsaske (255.255.255.0)
//--------------------------------------------------------------
#define NETMASK_ADDR0   255
#define NETMASK_ADDR1   255
#define NETMASK_ADDR2   255
#define NETMASK_ADDR3   0


//--------------------------------------------------------------
// Gateway Adresse (192.168.0.1)
//--------------------------------------------------------------
#define GW_ADDR0   192
#define GW_ADDR1   168
#define GW_ADDR2   0
#define GW_ADDR3   1




//--------------------------------------------------------------
// IP-Adresse vom HOST (169.254.136.51)
//--------------------------------------------------------------
#define HOST_IP_ADDR0   169
#define HOST_IP_ADDR1   254
#define HOST_IP_ADDR2   136
#define HOST_IP_ADDR3   51




typedef enum {
  HTTP_INIT_OK =0,          // kein Fehler beim Init
  HTTP_INIT_ETH_MACDMA_ERR, // Fehler beim init vom MAC
  HTTP_INIT_ETH_PHYINT_ERR  // Fehler beim init vom PHY
}HTTP_INIT_STATUS_t;






//--------------------------------------------------------------
// Globale Funktionen
//--------------------------------------------------------------
HTTP_INIT_STATUS_t UB_HTTP_Server_Init(void);
void UB_HTTP_Server_Do(void);







//--------------------------------------------------------------
#endif // __STM32F7_UB_HTTP_SERVER_H
